"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var with_readme_1 = require("storybook-readme/with-readme");
var storybook_chrome_screenshot_1 = require("storybook-chrome-screenshot");
var __1 = require("../");
var Card_md_1 = require("./README/Card.md");
var rows = [
    React.createElement("div", null, "Lorem Ipsum dolor si amet"),
    React.createElement(__1.Link, { href: 'www.balena.io' }, "Link"),
    React.createElement(__1.TextWithCopy, { showCopyButton: 'always', copy: 'This value has been copied to your clipboard!' }, "Row with Copy component"),
    React.createElement(__1.Flex, { justify: 'space-between' },
        React.createElement("div", null, "Row with"),
        React.createElement("div", null, "Flex")),
    React.createElement("div", null, "Lorem Ipsum dolor si amet")
];
react_1.storiesOf('Core/Card', module)
    .addDecorator(with_readme_1.default(Card_md_1.default))
    .addDecorator(storybook_chrome_screenshot_1.withScreenshot())
    .add('Standard', function () {
    return (React.createElement(__1.Provider, null,
        React.createElement(__1.Box, { w: 350, m: 3 },
            React.createElement(__1.Card, null, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam scelerisque euismod risus at gravida. Pellentesque a nunc semper, ultrices lacus nec, mattis mauris"))));
})
    .add('With Header', function () {
    return (React.createElement(__1.Provider, null,
        React.createElement(__1.Box, { w: 350, m: 3 },
            React.createElement(__1.Card, { title: 'Card with Button', cta: React.createElement(__1.Button, { plaintext: true, primary: true, onClick: function () { return window.alert('Action with Button'); } }, "Update") }, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam scelerisque euismod risus at gravida. Pellentesque a nunc semper, ultrices lacus nec, mattis mauris"),
            React.createElement(__1.Card, { mt: 3, title: 'Card with Link', cta: React.createElement(__1.Link, { href: 'https://balena.io' }, "Link") }, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam scelerisque euismod risus at gravida. Pellentesque a nunc semper, ultrices lacus nec, mattis mauris"))));
})
    .add('With rows', function () {
    return (React.createElement(__1.Provider, null,
        React.createElement(__1.Box, { w: 350, m: 3 },
            React.createElement(__1.Card, { title: 'Title', rows: rows, cta: React.createElement(__1.Link, { href: 'https://balena.io' }, "Link") }))));
})
    .add('Title', function () {
    return (React.createElement(__1.Provider, null,
        React.createElement(__1.Box, { w: 350, m: 3 },
            React.createElement(__1.Card, { title: 'Title', minHeight: '300px', cta: React.createElement(__1.Link, { href: 'https://balena.io' }, "Link") }, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam scelerisque euismod risus at gravida. Pellentesque a nunc semper, ultrices lacus nec, mattis mauris"))));
});
