"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var storybook_chrome_screenshot_1 = require("storybook-chrome-screenshot");
var with_readme_1 = require("storybook-readme/with-readme");
var __1 = require("../");
var Heading_md_1 = require("./README/Heading.md");
var Txt_md_1 = require("./README/Txt.md");
var Link_md_1 = require("./README/Link.md");
react_1.storiesOf('Core/Typography', module)
    .addDecorator(storybook_chrome_screenshot_1.withScreenshot())
    .add('Headings', with_readme_1.default(Heading_md_1.default, function () {
    return (React.createElement(__1.Provider, null,
        React.createElement(__1.Box, { m: 3 },
            React.createElement(__1.Heading.h1, null, "Heading h1"),
            React.createElement(__1.Heading.h2, null, "Heading h2"),
            React.createElement(__1.Heading.h3, null, "Heading h3"),
            React.createElement(__1.Heading.h4, null, "Heading h4"),
            React.createElement(__1.Heading.h5, null, "Heading h5"),
            React.createElement(__1.Heading.h6, null, "Heading h6"))));
}))
    .add('Txt', with_readme_1.default(Txt_md_1.default, function () {
    return (React.createElement(__1.Provider, null,
        React.createElement(__1.Box, { m: 3 },
            React.createElement(__1.Txt, null, "Standard txt"),
            React.createElement(__1.Txt, { align: 'center' }, "Centered"),
            React.createElement(__1.Txt, { align: 'right' }, "Right"),
            React.createElement(__1.Txt, { bold: true }, "Bold"),
            React.createElement(__1.Txt, { monospace: true }, "Monospace"),
            React.createElement(__1.Txt.span, { color: 'blue' }, "Inline "),
            React.createElement(__1.Txt.span, { color: 'red' }, "Inline "),
            React.createElement(__1.Txt.span, { color: 'yellow' }, "Inline "),
            React.createElement(__1.Txt, { whitespace: 'pre' }, 'Space   is   preserved'))));
}))
    .add('Link', with_readme_1.default(Link_md_1.default, function () {
    return (React.createElement(__1.Provider, null,
        React.createElement(__1.Box, { m: 3 },
            React.createElement("div", null,
                React.createElement(__1.Link, { href: "#" }, "Internal Link")),
            React.createElement("div", null,
                React.createElement(__1.Link, { href: "https://balena.io", blank: true }, "External Link")),
            React.createElement("div", null,
                React.createElement(__1.Link, { disabled: true, href: "https://balena.io", blank: true }, "Disabled Link")))));
}));
